diff a/src/hotspot/share/runtime/abstract_vm_version.hpp b/src/hotspot/share/runtime/abstract_vm_version.hpp
--- a/src/hotspot/share/runtime/abstract_vm_version.hpp
+++ b/src/hotspot/share/runtime/abstract_vm_version.hpp
@@ -182,10 +182,13 @@
   static bool supports_on_spin_wait() { return false; }
 
   // Does platform support fast class initialization checks for static methods?
   static bool supports_fast_class_init_checks() { return false; }
 
+  // Does platform support continuation preemption?
+  static bool supports_cont_preemption() { return false; }
+
   // Does platform support stack watermark barriers for concurrent stack processing?
   constexpr static bool supports_stack_watermark_barrier() { return false; }
 
   // Is recursive lightweight locking implemented for this platform?
   constexpr static bool supports_recursive_lightweight_locking() { return false; }
